Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/hmacmd5.c File Reference

HMAC-MD5 message authentication code, code. More...

`#include "system.h"`
`#include "hmacmd5.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
int | hmacmd5Setup (hmacmd5Param *sp, const uint32 *key, int keybits)
int | hmacmd5Reset (hmacmd5Param *sp)
int | hmacmd5Update (hmacmd5Param *sp, const byte *data, int size)
int | hmacmd5Digest (hmacmd5Param *sp, uint32 *data)
## Variables
const keyedHashFunction | hmacmd5 = { "HMAC-MD5", sizeof(hmacmd5Param), 64, 4 * sizeof(uint32), 64, 512, 32, (const keyedHashFunctionSetup) hmacmd5Setup, (const keyedHashFunctionReset) hmacmd5Reset, (const keyedHashFunctionUpdate) hmacmd5Update, (const keyedHashFunctionDigest) hmacmd5Digest }

## Detailed Description

HMAC-MD5 message authentication code, code.

Definition in file hmacmd5.c.